evhtp_path_t Struct Reference

structure which represents a URI path and or file More...

`#include <evhtp.h>`

## Data Fields

char * | full
| the full path+file (/a/b/c.html)
char * | path
| the path (/a/b/)
char * | file
| the filename if present (c.html)
char * | match_start
char * | match_end
unsigned int | matched_soff
| offset of where the uri starts mainly used for regex matching
unsigned int | matched_eoff
| offset of where the uri ends mainly used for regex matching

## Detailed Description

structure which represents a URI path and or file

Definition at line 383 of file evhtp/evhtp.h.

## Field Documentation

## file

char* evhtp_path_t::file

the filename if present (c.html)

Definition at line 386 of file evhtp/evhtp.h.

## full

char* evhtp_path_t::full

the full path+file (/a/b/c.html)

Definition at line 384 of file evhtp/evhtp.h.

## match_end

char* evhtp_path_t::match_end

Definition at line 388 of file evhtp/evhtp.h.

## match_start

char* evhtp_path_t::match_start

Definition at line 387 of file evhtp/evhtp.h.

## matched_eoff

unsigned int evhtp_path_t::matched_eoff

offset of where the uri ends mainly used for regex matching

Definition at line 392 of file evhtp/evhtp.h.

## matched_soff

unsigned int evhtp_path_t::matched_soff

offset of where the uri starts mainly used for regex matching

Definition at line 389 of file evhtp/evhtp.h.

## path

char* evhtp_path_t::path

the path (/a/b/)

Definition at line 385 of file evhtp/evhtp.h.

The documentation for this struct was generated from the following file:

- evhtp/evhtp.h